"""=========================================================
منطق برنامه ای را طراحی کنید که دو عدد صحیح n,p را در ورودی
دریافت کند و حاصل ضرب n در p را با استفاده از جمع های
متوالی محاسبه و چاپ کنید.
=========================================================="""

n = int(input("Please enter N: "))
p = int(input("Please enter P: "))
result = 0
while p > 0:
    result += n
    p -= 1
print("="*20,"\nResult: ",result)